commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Noel J. Bergman" <n...@devtech.com>
Subject RE: [lang] 1.2 vs 1.4 Was: [lang] Words - for 2.0
Date Sat, 16 Aug 2003 23:02:32 GMT
There are known problems with binaries built on JDK 1.4 being run on JDK
1.2.  The primary issue is that a JDK 1.4 class may have a more specific
signature than a JDK 1.2 method, so the JDK 1.4 compile will use the more
specific signature, which isn't there on JDK 1.2.  I compile the Apache
James builds with JDK 1.3, and our javadocs with JDK 1.4.

	--- Noel


Mime
View raw message